import type { EventWithNamespace, EventHandlers } from '@ntks/event-emitter';
import { ComponentRenderer, ComponentCtor, ModuleContext } from '../../vendors/organik';
declare function createBindEventResolver<ViewLibInstance>(eventNameGetter: (viewLibInst: ViewLibInstance, event?: string) => EventWithNamespace): (viewLibInst: ViewLibInstance, event: string | EventHandlers) => EventWithNamespace | EventHandlers;
declare function resolveWidgetCtor<WidgetCtor extends ComponentCtor = ComponentCtor>(moduleContext: ModuleContext, widget: ComponentRenderer | undefined, widgetNameFromRenderTypeResolver: () => string): WidgetCtor | undefined;
export { createBindEventResolver, resolveWidgetCtor };
