import { DataValue, ContextExpression } from '../vendors/organik';
import type { ObjectValue } from '../types/value';
import type { ViewFieldDescriptor, FilterDescriptor } from '../types/input';
declare function resolveFieldRenderType({ renderType, dataType }: ViewFieldDescriptor): string;
declare function resolveFilterRenderType({ renderType, dataType }: FilterDescriptor): string;
declare function isExprTrue(value: ObjectValue, expression: ContextExpression, defaultReturnValue?: DataValue): boolean;
declare function resolveReadonly(value: ObjectValue, readonly?: boolean | ContextExpression): boolean;
declare function resolveFieldRequired(value: ObjectValue, readonly?: boolean, required?: boolean | ContextExpression): boolean;
export { resolveFieldRenderType, resolveFilterRenderType, isExprTrue, resolveReadonly, resolveFieldRequired, };
